routes/web.php
<?php

use App\Http\Controllers\EnfantsController;
use App\Http\Controllers\ResponsiblesController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('home');
})->name('home');

Route::get('/extraits/{enfant}', [EnfantsController::class,'ActeDeNaissance'])->name('extraits');
Route::get('/listPrimaire', [EnfantsController::class,'LesEnfantsEnPrimaire'])->name('primary');
Route::get('/listOrphelina', [EnfantsController::class,'LesEnfantsDansOrphelina'])->name('orphelina');
Route::get('/listFoyer', [EnfantsController::class,'LesEnfantsEnFoyer'])->name('foyer');

Route::resource('/enfants', EnfantsController::class);
Route::resource('/responsibles', ResponsiblesController::class);

app/Models/Enfant.php
<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Enfant extends Model
{
    use HasFactory;
    protected $fillable = [
        'first_name',
        'last_name',
        'born_date',
        'arrive_at',
        'email',
        'phone',
        'school',
        'schooling',
        'school_location',
        'family_situation',
        'description',
        'adress',
        'age',
        'image',
        'proffession',
        'responsible_id',
        'location',
        'father_name',
        'mother_name',
        'proffession_father',
        'proffession_mother',
    ];
    protected $dates =  [
        'born_date',
        'arrive_at',
    ];
    
    public function fullName(){
        return $this->first_name.' '.$this->last_name;
    }

    public function responsible(){
        return $this->belongsTo('App\Models\Responsible');
    }
}

app/Http/Controllers/EnfantsController.php
<?php

namespace App\Http\Controllers;

use App\Http\Requests\EnfantsFormRequest;
use App\Models\Enfant;
use App\Models\Responsible;
use Illuminate\Http\Request;

class EnfantsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $enfants = Enfant::paginate(15);
        return view('pages.enfants.index', compact('enfants'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $enfant = new Enfant();
        $responsibles = Responsible::all();
        return view('pages.enfants.create', compact('enfant','responsibles'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(EnfantsFormRequest $request)
    {
        // if($request->hasFile('image')){
        //     $image = $request->image;
        //     $extension = $image->getClientOriginalExtension(); // get image extension
        //     $filename = time().'.'.$extension;
        //     $image->move('uploads/categories/', $filename);
        // }
        $enfant = Enfant::create([
        'first_name'    => $request->first_name,
        'last_name' => $request->last_name,
        'born_date' => $request->born_date,
        'arrive_at' => $request->arrive_at,
        'email' => $request->email,
        'phone' => $request->phone,
        'school'    => $request->school,
        'schooling' => $request->schooling,
        'school_location'   => $request->school_location,
        'family_situation'  => $request->family_situation,
        'description'   => $request->description,
        'adress'   => $request->adress,
        'age'   => $request->age,
        'image' => $request->image,
        'proffession'   => $request->proffession,
        'responsible_id'    => $request->responsible_id,
        'location' => $request->location,
        'father_name' => $request->father_name,
        'mother_name' => $request->mother_name,
        'proffession_father' => $request->proffession_father,
        'proffession_mother' => $request->proffession_mother,
        ]);

        $this->storeImage($enfant);

        return redirect()->route('enfants.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Enfant  $enfant
     * @return \Illuminate\Http\Response
     */
    public function show(Enfant $enfant)
    {
        $responsibles = Responsible::all();
        return view('pages.enfants.show', compact('enfant','responsibles'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Enfant  $enfant
     * @return \Illuminate\Http\Response
     */
    public function edit(Enfant $enfant)
    {
        $responsibles = Responsible::all();
        return view('pages.enfants.edit',compact('enfant','responsibles') );

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Enfant  $enfant
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Enfant $enfant)
    {
        $enfant->update([
            'first_name'    => $request->first_name,
            'last_name' => $request->last_name,
            'born_date' => $request->born_date,
            'arrive_at' => $request->arrive_at,
            'email' => $request->email,
            'phone' => $request->phone,
            'school'    => $request->school,
            'schooling' => $request->schooling,
            'school_location'   => $request->school_location,
            'family_situation'  => $request->family_situation,
            'description'   => $request->description,
            'adress'   => $request->adress,
            'age'   => $request->age,
            'image' => $request->image,
            'proffession'   => $request->proffession,
            'responsible_id'    => $request->responsible_id,
            'location' => $request->location,
            'father_name' => $request->father_name,
            'mother_name' => $request->mother_name,
            'proffession_father' => $request->proffession_father,
            'proffession_mother' => $request->proffession_mother,
            ]);
            $this->storeImage($enfant);
            

            return redirect()->route('enfants.show',compact('enfant'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Enfant  $enfant
     * @return \Illuminate\Http\Response
     */
    public function destroy(Enfant $enfant)
    {
        $enfant->delete();

        return redirect()->route('enfants.index');
    }
    
    public function ActeDeNaissance(Enfant $enfant)
    {
        return view('pages.enfants.acteDeNaissance',compact('enfant'));

    }

    private function storeImage(Enfant $enfant)
    {
        if(request('image')){
            $enfant->update([
                'image' => request('image')->store('Avatars','public')
            ]) ;
        }
    }

    public function LesEnfantsDansOrphelina()
    {
        $enfants = Enfant::where('location','A l\'orphélina')->paginate(15);
        return view('pages.enfants.index', compact('enfants'));
    }

    public function LesEnfantsEnFoyer()
    {
        $enfants = Enfant::where('location','En famille D\'acceuil')->paginate(15);
        return view('pages.enfants.index', compact('enfants'));
    }

    public function LesEnfantsEnPrimaire()
    {
        $enfants = Enfant::where('schooling','Primaire')->paginate(15);
        return view('pages.enfants.index', compact('enfants'));
    }
    
}

resources/views/pages/enfants/acteDeNaissance.blade.php
@extends('layouts.master')

@section('title',  'Liste des enfants')

@section('head')
    <link href="{{ asset('assets/vendor/select2/select2.min.css') }}" rel="stylesheet" />
@endsection

@section('content')
<section class="admin-content">
        <div class="bg-dark m-b-30">
            <div class="container">
                <div class="row p-b-60 p-t-60 ">
                <h1 class="text-white">{{ $enfant->fullName()}}</h1>
                </div>
            </div>
        </div>

<div class="container pull-up">
    <div class="row">
        <div class="col-8">
            <!--widget card begin-->
            <div class="card m-5-b-30">
                <div class="card-header bg-light">
                    <div class="card-header d-flex justify-content-between">
                        <div class="col-md-6 m-auto text-dark p-b-5">
                            <h4>District de Bamako</h4>
                            <p><img src="{{asset('assets/img/RepubliqueDuMali.jpg')}}" alt="district de bamako" width="100" height="100" class="rounded"></p>
                            <h5>Mairie de la commune III</h5>
                        </div>

                        <div class="col-md-6 m-auto text-dark p-b-5 p-top text-center">
                            <h4>République du Mali</h4>
                            <p>Un Peuple - Un But - Une Foi</p>
                        </div>
                    </div>
                </div>
                <ul class="list-group list-group-flush">
                    <h5 class="m-5">Centre principale de la commune III :</h5>
                    <h4 class="text-center">Extrait de Naissancence : </h4>
                    <li class="list-group-item"><strong>Nom : </strong>{{ $enfant->first_name }} </li>
                    <li class="list-group-item"><strong>Prénom : </strong>{{ $enfant->last_name }}</li>
                    <li class="list-group-item"><strong>Sexe : </strong>{{ $enfant->last_name }}                        </li>
                    <li class="list-group-item"><strong>Proffession : </strong>{{ $enfant->proffession }}</li>
                    <li class="list-group-item"><strong>Date et lieu de Naissance : </strong> {{ $enfant->born_date }}</li>
                    <li class="list-group-item"><strong>Fils de : </strong>{{ $enfant->father_name }}</li>
                    <li class="list-group-item"><strong>Et de : </strong> {{ $enfant->mother_name }}</li>
                    <li class="list-group-item"><strong>Proffession du Père : </strong> {{ $enfant->proffession_father }}</li>
                    <li class="list-group-item"><strong>Proffession de la mère : </strong> {{ $enfant->proffession_mother }}</li>
                </ul>
                <div class="bg-light">
                    <p class="text-center pt-3">Etablit le {{ Now()->format('d/m/Y') }} au centre principale de la commune III</p>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/pages/enfants/create.blade.php
@extends('layouts.master')

@section('title',  'Nouveau Enfant')

@section('head')
    <link href="{{ asset('assets/vendor/select2/select2.min.css') }}" rel="stylesheet" />
@endsection

@section('content')
    <section class="admin-content">
        <div class="bg-dark m-b-30">
            <div class="container">
                <div class="row p-b-60 p-t-60">
                    <div class="col-md-8 m-auto text-white p-b-30">
                        <h1>Nouveau Enfant</h1>
                    </div>
                    <div class="col-md-4 m-auto text-white p-b-30">
                        <div class="text-md-right">
                            <a href="{{ route('enfants.index') }}" class="btn btn-success"> <i class="mdi mdi-arrow-left-bold-circle"></i> Retour</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="container  pull-up">
            <div class="row">
                <div class="col-12">
                    <div class="card m-b-30">
                        <div class="card-body ">
                            <form action="{{ route('enfants.store') }}" method="POST" enctype="multipart/form-data">
                                @csrf
                                @include('layouts.partials._formEnfant', ['submitButtonText' => 'Ajouter'])
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection

resources/views/pages/enfants/edit.blade.php
@extends('layouts.master')

@section('title',  'Modifier - ' . $enfant->fullName())

@section('head')
    <link href="{{ asset('assets/vendor/select2/select2.min.css') }}" rel="stylesheet" />
@endsection

@section('content')
    <section class="admin-content">
        <div class="bg-dark m-b-30">
            <div class="container">
                <div class="row p-b-60 p-t-60">
                    <div class="col-md-8 m-auto text-white p-b-30">
                        <h1>{{ $enfant->fullName() }}</h1>
                    </div>
                    <div class="col-md-4 m-auto text-white p-b-30">
                        <div class="text-md-right">
                            <a href="{{ route('enfants.index') }}" class="btn btn-success"> <i class="mdi mdi-arrow-left-bold-circle"></i> Retour</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="container  pull-up">
            <div class="row">
                <div class="col-12">
                    <div class="card m-b-30">
                        <div class="card-body ">
                            <form action="{{ route('enfants.update', $enfant) }}" method="POST" enctype="multipart/form-data">
                                @csrf
                                {{ method_field('PUT') }}
                                @include('layouts.partials._formEnfant', ['submitButtonText' => 'Modifier'])
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection

resources/views/pages/enfants/index.blade.php
@extends('layouts.master')

@section('title', 'Enfants')
@section('content')
    <section class="admin-content">
        <div class="bg-dark m-b-30">
            <div class="container">
                <div class="row p-b-60 p-t-60">

                    <div class="col-md-8 m-auto text-white p-b-30">
                        <h1>Enfants</h1>
                    </div>

                    <div class="col-md-4 m-auto text-white p-b-30">
                        <div class="text-md-right ml-2">
                            <a href="{{ route('enfants.create') }}" class="btn btn-success"> <i class="mdi mdi-plus"></i> Nouveau Enfant</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="container pull-up">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="table-responsive p-t-10">
                                <table id="example" class="table   " style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Nom</th>
                                            <th>Date d'arrivé'</th> 
                                            <th>Scolarité</th>
                                            <th>age</th>
                                            <th>responsable</th>     
                                            <th>description</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($enfants as $enfant)
                                            <tr>
                                                <td>
                                                    {{ $enfant->fullname() }}
                                                </td>
                                                <td>
                                                    {{ $enfant->arrive_at->format('d/m/Y') }}
                                                </td>  
                                                <td>
                                                    {{ $enfant->schooling }}
                                                </td> 
                                                <td>
                                                    {{ $enfant->age }}
                                                </td>
                                                <td>
                                                    {{ $enfant->responsible->fullName() }}
                                                </td> 
                                                <td>
                                                    {{ $enfant->description }}
                                                </td>
                                                <td class="hidden-sm hidden-xs">
                                                    <div class="btn-group btn-group-xs pull-right">
                                                        <button class="btn btn-warning dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                            Actions <span class="caret"></span>
                                                        </button>
                                                        <ul class="dropdown-menu dropdown-menu-right" role="menu">
                                                            <li><a class="dropdown-item" href="{{ route('enfants.show', $enfant) }}"> Voir</a></li>
                                                            <li><a class="dropdown-item" href="{{ route('extraits', $enfant) }}">Extrait de naissance</a></li>
                                                            <li><a class="dropdown-item" href="{{ route('primary') }}">Les enfants en primaire</a></li>
                                                            <li><a class="dropdown-item" href="{{ route('orphelina') }}">Les enfants présentent dans l'ophélina</a></li>
                                                            <li><a class="dropdown-item" href="{{ route('foyer') }}">Les enfants en famille d'acceuil</a></li>
                                                        </ul>
                                                    </div>   
                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                            <th>Nom</th>
                                            <th>Date d'arrivé</th> 
                                            <th>Scolarité</th>
                                            <th>age</th>
                                            <th>responsable</th>     
                                            <th>description</th>
                                        </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row justify-content-center">
                <nav aria-label="">
                    {{ $enfants->links() }}
                </nav>
            </div>
        </div> 
    </section>
@endsection

resources/views/pages/enfants/show.blade.php
@extends('layouts.master')

@section('title',  $enfant->fullName())

@section('head')
    <link href="{{ asset('assets/vendor/select2/select2.min.css') }}" rel="stylesheet" />
@endsection

@section('content')
    <section class="admin-content">
        <div class="bg-dark m-b-30">
            <div class="container">
                <div class="row p-b-60 p-t-60">
                    <div class="col-md-8 m-auto text-white p-b-30">
                        <h1>{{ $enfant->fullName() }}</h1>
                        <p>
                            @if($enfant->image)
                            <img src="{{ asset('storage/'.$enfant->image) }}" alt="L'image de l'enfant" width="200" height="100">
                            @endif
                        </p>
                    </div>
                    
                    <div class="col-md-4 m-auto text-white p-b-30">
                        <div class="text-md-right">
                            <a href="{{ route('enfants.edit', $enfant) }}" class="btn btn-info"> <i class="mdi mdi-account-edit"></i> Modifier</a>
                            <!-- <a href="{{ route('enfants.edit', $enfant) }}" class="btn btn-info"> <i class="mdi mdi-account-edit"></i> Extrait de naissance</a> -->
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="container  pull-up">
            <div class="row">
                <div class="col-12">
                    <div class="card m-b-30">
                        <div class="card-body ">
                            <form>
                            <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="first_name">Prénom</label>
                                        <input type="text" class="form-control" id="first_name" value="{{ $enfant->first_name }}" disabled>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="last_name">Nom</label>
                                        <input type="text" class="form-control" id="last_name" value="{{ $enfant->last_name }}" disabled>
                                    </div>
                                </div>
                            <div class="form-row">
                                <div class="form-group col-md-6">
                                    <label for="father_name">Nom du Père</label>
                                    <input type="text" name="father_name" class="form-control" id="father_name" value="{{ $enfant->father_name }}" disabled>

                                    @error ('father_name')
                                    <div class="text-danger">
                                        {{ $message }}
                                    </div>
                                    @enderror
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="mother_name">Nom de la Mère</label>
                                    <input type="text" name="mother_name" class="form-control" id="mother_name" value="{{ $enfant->mother_name }}" disabled>

                                    @error ('mother_name')
                                            <div class="text-danger">
                                                {{ $message }}
                                            </div>
                                    @enderror
                                </div>
                            </div>

                            <div class="form-row">
                                <div class="form-group col-md-6">
                                    <label for="proffession_father">Proffession du Père</label>
                                    <input type="text" name="proffession_father" class="form-control" id="proffession_father" value="{{ $enfant->proffession_father }}" disabled>

                                    @error ('proffession_father')
                                    <div class="text-danger">
                                        {{ $message }}
                                    </div>
                                    @enderror
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="proffession_mother">Proffession de la Mère</label>
                                    <input type="text" name="proffession_mother" class="form-control" id="mother_name" value="{{ $enfant->proffession_mother }}" disabled>

                                    @error ('proffession_mother')
                                            <div class="text-danger">
                                                {{ $message }}
                                            </div>
                                    @enderror
                                </div>
                            </div>

                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="phone">Numéro de téléphone</label>
                                        <input type="text" class="form-control" id="phone" value="{{ $enfant->phone }}" disabled>
                                    </div>

                                    <div class="form-group col-md-6">
                                        <label for="email">Email</label>
                                        <input type="text" class="form-control" id="email" value="{{ $enfant->email }}" disabled>
                                    </div>
                                </div>

                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="school">Ecole</label>
                                        <input type="text" class="form-control" id="school" value="{{ $enfant->school }}" disabled>
                                    </div>

                                    <div class="form-group col-md-6">
                                        <label for="schooling">Scolarité</label>
                                        <input type="text" class="form-control" id="schooling" value="{{ $enfant->schooling }}" disabled>
                                    </div>
                                </div>

                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="born_date">Date de naissance</label>
                                        <input type="text" class="form-control" id="born_date" value="{{ $enfant->born_date }}" disabled>
                                    </div>

                                    <div class="form-group col-md-6">
                                        <label for="arrive_at">Date date d'arrivée</label>
                                        <input type="text" class="form-control" id="arrive_at" value="{{ $enfant->arrive_at->format('d/m/Y') }}" disabled>
                                    </div>
                                </div>

                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="family_situation">Situation familliale</label>
                                        <input type="text" class="form-control" value="{{ $enfant->family_situation }}" disabled>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="school_location">Lacalité de l'école</label>
                                        <input type="text" class="form-control" id="school_location" value="{{ $enfant->school_location }}" disabled>
                                    </div>
                                </div>

                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="description">Description</label>
                                    <textarea class="form-control" id="description" cols="30" rows="2" disabled>{{ $enfant->description }}</textarea>
                                    </div>

                                    <div class="form-group col-md-6">
                                        <label for="proffession">Proffession</label>
                                        <input type="text" class="form-control" id="proffession" value="{{ $enfant->proffession }}" disabled>
                                    </div>
                                </div>

                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="age">Age</label>
                                        <input type="text" name="age" class="form-control" id="age" value="{{ $enfant->age }}" disabled>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="responsable_id">Responsable en charge de l'enfant</label>
                                        <input type="text" class="form-control" id="responsable_id" value="{{ $enfant->responsible->fullName() }}" disabled>
                                    </div>
                                </div>

                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="adress">Adresse</label>
                                        <input type="text" name="adress" class="form-control" id="adress" value="{{ $enfant->adress }}" disabled>
                                    </div>

                                    <div class="form-group col-md-6">
                                        <label for="location">Localité de l'enfant</label>
                                        <input type="text" name="location" class="form-control" id="location" value="{{ $enfant->location }}" disabled>
                                    </div>
                                </div>
                                <input type="submit" class="btn btn-danger" value="Supprimer">
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection